// • ▌ ▄ ·.  ▄▄▄·  ▄▄ • ▪   ▄▄· ▄▄▄▄·  ▄▄▄·  ▐▄▄▄  ▄▄▄ .
// ·██ ▐███▪▐█ ▀█ ▐█ ▀ ▪██ ▐█ ▌▪▐█ ▀█▪▐█ ▀█ •█▌ ▐█▐▌·
// ▐█ ▌▐▌▐█·▄█▀▀█ ▄█ ▀█▄▐█·██ ▄▄▐█▀▀█▄▄█▀▀█ ▐█▐ ▐▌▐▀▀▀
// ██ ██▌▐█▌▐█ ▪▐▌▐█▄▪▐█▐█▌▐███▌██▄▪▐█▐█ ▪▐▌██▐ █▌▐█▄▄▌
// ▀▀  █▪▀▀▀ ▀  ▀ ·▀▀▀▀ ▀▀▀·▀▀▀ ·▀▀▀▀  ▀  ▀ ▀▀  █▪ ▀▀▀
//      Magicbane Emulator Project © 2013 - 2022
//                www.magicbane.com


package engine.jobs;

import engine.objects.AbstractWorldObject;
import engine.objects.PlayerCharacter;
import engine.powers.EffectsBase;

public class FinishSpireEffectJob extends AbstractEffectJob {

    public FinishSpireEffectJob(AbstractWorldObject target, String stackType, EffectsBase eb, int trains) {
        super(null, target, stackType, trains, null, null, eb);
    }

    @Override
    protected void doJob() {

        PlayerCharacter pc = (PlayerCharacter) target;

        if (pc == null)
            return;

        pc.endEffectNoPower(Integer.toString(eb.getUUID()));

    }

    @Override
    protected void _cancelJob() {
    }
}
