// • ▌ ▄ ·.  ▄▄▄·  ▄▄ • ▪   ▄▄· ▄▄▄▄·  ▄▄▄·  ▐▄▄▄  ▄▄▄ .
// ·██ ▐███▪▐█ ▀█ ▐█ ▀ ▪██ ▐█ ▌▪▐█ ▀█▪▐█ ▀█ •█▌ ▐█▐▌·
// ▐█ ▌▐▌▐█·▄█▀▀█ ▄█ ▀█▄▐█·██ ▄▄▐█▀▀█▄▄█▀▀█ ▐█▐ ▐▌▐▀▀▀
// ██ ██▌▐█▌▐█ ▪▐▌▐█▄▪▐█▐█▌▐███▌██▄▪▐█▐█ ▪▐▌██▐ █▌▐█▄▄▌
// ▀▀  █▪▀▀▀ ▀  ▀ ·▀▀▀▀ ▀▀▀·▀▀▀ ·▀▀▀▀  ▀  ▀ ▀▀  █▪ ▀▀▀
//      Magicbane Emulator Project © 2013 - 2022
//                www.magicbane.com


// • ▌ ▄ ·.  ▄▄▄·  ▄▄ • ▪   ▄▄· ▄▄▄▄·  ▄▄▄·  ▐▄▄▄  ▄▄▄ .
// ·██ ▐███▪▐█ ▀█ ▐█ ▀ ▪██ ▐█ ▌▪▐█ ▀█▪▐█ ▀█ •█▌ ▐█▐▌·
// ▐█ ▌▐▌▐█·▄█▀▀█ ▄█ ▀█▄▐█·██ ▄▄▐█▀▀█▄▄█▀▀█ ▐█▐ ▐▌▐▀▀▀
// ██ ██▌▐█▌▐█ ▪▐▌▐█▄▪▐█▐█▌▐███▌██▄▪▐█▐█ ▪▐▌██▐ █▌▐█▄▄▌
// ▀▀  █▪▀▀▀ ▀  ▀ ·▀▀▀▀ ▀▀▀·▀▀▀ ·▀▀▀▀  ▀  ▀ ▀▀  █▪ ▀▀▀
//      Magicbane Emulator Project © 2013 - 2022
//                www.magicbane.com


package engine.net.client.msg.guild;

import engine.Enum.GameObjectType;
import engine.net.AbstractConnection;
import engine.net.ByteBufferReader;
import engine.net.ByteBufferWriter;
import engine.net.client.Protocol;
import engine.net.client.msg.ClientNetMsg;

public class ChangeRankMsg extends ClientNetMsg {

    private int playerUUID;
    private int previousRank, newRank;
    private byte ic, rec, tax;
    private String errorMsg;

    /**
     * This is the general purpose constructor.
     */
    public ChangeRankMsg() {
        super(Protocol.GUILDRANKCHANGE);
    }

    /**
     * This constructor is used by NetMsgFactory. It attempts to deserialize the
     * ByteBuffer into a message. If a BufferUnderflow occurs (based on reading
     * past the limit) then this constructor Throws that Exception to the
     * caller.
     */
    public ChangeRankMsg(AbstractConnection origin, ByteBufferReader reader) {
        super(Protocol.GUILDRANKCHANGE, origin, reader);
    }

    public int getPlayerUUID() {
        return playerUUID;
    }

    public int getPreviousRank() {
        return previousRank;
    }

    public void setPreviousRank(int previousRank) {
        this.previousRank = previousRank;
    }

    public int getNewRank() {
        return newRank;
    }

    public void setNewRank(int newRank) {
        this.newRank = newRank;
    }

    public byte getIc() {
        return ic;
    }

    public void setIc(byte ic) {
        this.ic = ic;
    }

    public byte getRec() {
        return rec;
    }

    public void setRec(byte rec) {
        this.rec = rec;
    }

    public byte getTax() {
        return tax;
    }

    public void setTax(byte tax) {
        this.tax = tax;
    }

    /**
     * Serializes the subclass specific items to the supplied ByteBufferWriter.
     */
    @Override
    protected void _serialize(ByteBufferWriter writer) {
        writer.putInt(GameObjectType.PlayerCharacter.ordinal());
        writer.putInt(this.playerUUID);
        writer.putInt(this.newRank);
        writer.putInt(this.previousRank);

        writer.put(ic);
        writer.put(tax);
        writer.put(rec);

        writer.putInt(0);

        writer.putString(this.errorMsg);
    }

    /**
     * Deserializes the subclass specific items from the supplied
     * ByteBufferReader.
     */
    @Override
    protected void _deserialize(ByteBufferReader reader) {
        reader.getInt(); // Object Type Padding
        this.playerUUID = reader.getInt();
        this.newRank = reader.getInt();
        this.previousRank = reader.getInt();
        this.ic = reader.get();
        this.tax = reader.get();
        this.rec = reader.get();

        reader.getInt(); //Pad

        this.errorMsg = reader.getString();
    }
}
